%{?scl:%scl_package jackson-datatypes-collections}
%{!?scl:%global pkg_name %{name}}

%global baserelease 3

Name:          %{?scl_prefix}jackson-datatypes-collections
Version:       2.9.4
Release:       2.%{baserelease}%{?dist}
Summary:       Jackson datatypes: collections
# Source files without license headers https://github.com/FasterXML/jackson-datatypes-collections/issues/10
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-datatypes-collections
Source0:       https://github.com/FasterXML/jackson-datatypes-collections/archive/%{pkg_name}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  %{?scl_prefix_maven}mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  %{?scl_prefix_maven}mvn(com.google.guava:guava)
BuildRequires:  %{?scl_prefix_maven}mvn(junit:junit)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch

%description
This is a multi-module umbrella project for various Jackson
Data-type modules to support 3rd party Collection libraries.

Currently included are:
* Guava data-type
* HPPC data-type
* PCollections data-type

%package -n %{?scl_prefix}jackson-datatype-guava
Summary:       Add-on module for Jackson which handles Guava data-types

%description -n %{?scl_prefix}jackson-datatype-guava
Add-on datatype-support module for Jackson that handles
Guava types (currently mostly just collection ones).

%package javadoc
Summary: Javadoc for %{pkg_name}

%description javadoc
This package contains API documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

sed -i 's/\r//' hppc/src/main/resources/META-INF/LICENSE
cp -p hppc/src/main/resources/META-INF/LICENSE .

%pom_disable_module pcollections
%pom_disable_module hppc
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -s -- -Dversion.guava.osgi="[18.0.0,21.0.0\)"
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles-jackson-datatypes-collections
%doc README.md release-notes
%license LICENSE

%files -n %{?scl_prefix}jackson-datatype-guava -f .mfiles-jackson-datatype-guava
%doc guava/README.md guava/release-notes
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Jun 18 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-2.3
- Tighten up dep on Guava

* Fri Jun 08 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-2.2
- Don't build unneeded modules

* Thu Jun 07 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-2.1
- Auto SCL-ise package for rh-eclipse48 collection

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-1
- Update to latest upstream release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- initial rpm
